API reference OpenAPI 3.1
GET /catalog

Catalog

Bearer API key or staff session operation catalog

Request

This endpoint has no request body.

curl "$MONICHEK_API/catalog" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/catalog`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.get(
    f"{os.environ['MONICHEK_API']}/catalog",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/catalog');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

200 OK list catalogue application/json
{
  "datasets": [
    {
      "title": "ofac",
      "enabled": true,
      "name": "us_ofac_sdn",
      "health": "stale"
    },
    {
      "title": "un",
      "enabled": true,
      "name": "un_sc_consolidated",
      "health": "stale"
    },
    {
      "title": "eu",
      "enabled": true,
      "name": "eu_fsf",
      "health": "stale"
    }
  ]
}

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.